// ===================== Keyboard-Funktionalität =====================

// Teensy schickt Daten (hier "Mikrofon") an PC
// dabei simuliert Teensy das Keyboard

// speichert die Werte, die vom Teensy kommen, in ein Array
let buffer = [];
// der TextString aus dem "buffer"-Werten
let teensyWerte = "";

// Graph, der die Werte anzeigt
const teensyGraph = document.querySelector("#teensyGraph");

// Textausgabe des aktuellen Wertes
const werte = document.querySelector("#werte");

window.addEventListener(
  "keydown",
  function (event) {
    let taste = event.key;
    // die Übergabe vom Teensy endet mit einem "ENTER" (neue Zeile)
    // das wird abgefragt und an dieser Stelle wird
    // der Graph aktualisiert und buffer und teensyWerte wieder zurückgesetzt
    if (event.code == "Enter") {
      for (let i = 0; i < buffer.length; i++) {
        teensyWerte = teensyWerte + buffer[i];
      }
      // console.log(teensyWerte);
      // '0.9' = Skalierung des Graphen
      teensyGraph.style.width = `${teensyWerte * 0.9}px`;
      werte.textContent = teensyWerte;

      // zurücksetzten der Variablen
      buffer = [];
      teensyWerte = "";
    } else {
      buffer.push(taste);
    }
  },
  true
);
